document: modulemd
version: 2
data:
    name: libselinux-python
    stream: "2.8"
    summary: Python 2 bindings for libselinux
    description: The libselinux-python package contains the python bindings for developing SELinux applications.
    license:
        module:
            - MIT
    dependencies:
        - buildrequires:
            platform:
                - el8
            python27:
                - "2.7"
          requires:
            platform:
                - el8
            python27:
                - "2.7"
    profiles:
        common:
            rpms:
                - libselinux-python
    api:
        rpms:
            - libselinux-python
    filter:
        rpms:
            - libselinux
            - libselinux-devel
            - libselinux-ruby
            - libselinux-static
            - libselinux-utils
            - python3-libselinux
            - libselinux-debugsource
            - libselinux-ruby-debuginfo
            - libselinux-utils-debuginfo
            - python3-libselinux-debuginfo
    buildopts:
        rpms:
            macros: |
                %with_python2 1
    components:
        rpms:
            libselinux:
                rationale: Provides libselinux python bindings
                ref: 68cdb25d8a22cf5c81bd013ef55888723e2bb45f
